Deduct requested amount from card and load the amount back to the profile.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | The profile to which the card belongs, funds will be loaded to this profile |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, tracking number or sequence number of the card to deduct |
| requestAmount | Integer | ✓ | The requested amount to be deducted from the card and loaded onto the profile, in cents | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value |
| profileNumber | String | Echo of incoming value |
| cardNumber | String | Number of the card found using the cardIdentifier |
| requestAmount | Integer | Echo of incoming value |
| clientTransactionID | String | Echo of incoming value |
| serverTransactionID | Date | Transaction ID generated by Paymentology |
| balanceAmount | Integer | Balance amount in cents |
| authNumber | String | Authorisation number for transaction |
| expiryDate | Date | The expiry date of the card |
| TransactionFee | Integer | Transaction fee amount in cents |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
